## openldap 2.5.14+dfsg

=== debian/changelog ===
openldap (2.5.14+dfsg-0ubuntu0.22.10.2) kinetic; urgency=medium

  * Build the passwd/sha2 contrib module with -fno-strict-aliasing to
    avoid computing an incorrect SHA256 hash with some versions of the
    compiler (LP: #2000817):
    - d/t/{control,sha2-contrib}: test to verify the SHA256 hash
      produced by passwd/sha2
    - d/rules: set -fno-strict-aliasing only when building the
      passwd/sha2 contrib module

 -- Andreas Hasenack <andreas@canonical.com>  Sun, 12 Mar 2023 14:09:05 -0300

openldap (2.5.14+dfsg-0ubuntu0.22.10.1) kinetic; urgency=medium

  * New upstream version (LP: #2007625).
    - Several fixes, including memory leaks that affect slapd and
      certain slapo modules.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 01 Mar 2023 14:04:25 -0500

openldap (2.5.13+dfsg-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1983618). Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - d/{rules,slapd.py}: Add apport hook.
    - d/rules: better regexp to match the Maintainer tag in d/control,
      needed in the Ubuntu case because of XSBC-Original-Maintainer
      (Closes #960448, LP #1875697)
    - Enable SASL/GSSAPI tests. (LP #1976508)
      + d/control: Update B-D to include required dependencies needed to run
        SASL/GSSAPI tests during build time, and mark them "!nocheck".
      Thanks: Andreas Hasenack <andreas.hasenack@canonical.com>

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 20 Sep 2022 15:30:47 -0400

openldap (2.5.12+dfsg-2ubuntu2) kinetic; urgency=medium

  * Enable SASL/GSSAPI tests. (LP: #1976508)
    - d/control: Update B-D to include required dependencies needed to run
      SASL/GSSAPI tests during build time, and mark them "!nocheck".
    Thanks: Andreas Hasenack <andreas.hasenack@canonical.com>

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 25 Aug 2022 16:20:08 -0400

openldap (2.5.12+dfsg-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971305). Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - d/{rules,slapd.py}: Add apport hook.
    - d/rules: better regexp to match the Maintainer tag in d/control,
      needed in the Ubuntu case because of XSBC-Original-Maintainer
      (Closes #960448, LP #1875697)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 06 Jun 2022 15:34:48 -0400
