=== debian/changelog ===
openldap (2.5.16+dfsg-0ubuntu0.22.04.2) jammy-security; urgency=medium

  * No change rebuild to fix CVE-2023-2953 in the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Jan 2024 13:42:39 -0500

openldap (2.5.16+dfsg-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream version (LP: #2029170).
    - Fixed slapd cn=config incorrect handling of paused (ITS#10045)
    - Fixed slapd-meta to account for MOD ops being optional (ITS#10067)
    - Fixed slapd-asyncmeta to account for MOD ops being optional (ITS#10067)
  
 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 31 Jul 2023 18:13:10 -0400

openldap (2.5.15+dfsg-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream version (LP: #2027079).
    - Several fixes, including to asynchronous connections to the OpenLDAP
      server.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 11 Jul 2023 15:26:41 -0400

openldap (2.5.14+dfsg-0ubuntu0.22.04.2) jammy; urgency=medium

  * Build the passwd/sha2 contrib module with -fno-strict-aliasing to
    avoid computing an incorrect SHA256 hash with some versions of the
    compiler (LP: #2000817):
    - d/t/{control,sha2-contrib}: test to verify the SHA256 hash
      produced by passwd/sha2
    - d/rules: set -fno-strict-aliasing only when building the
      passwd/sha2 contrib module

 -- Andreas Hasenack <andreas@canonical.com>  Sun, 12 Mar 2023 14:11:53 -0300

openldap (2.5.14+dfsg-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream version (LP: #2007625).
    - Several fixes, including memory leaks that affect slapd and
      certain slapo modules.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 17 Feb 2023 16:12:43 -0500

openldap (2.5.13+dfsg-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream version (LP: #1983618).
    - Several fixes, including memory leaks that affected libldap.
    - Added slapo-emptyds contrib module (ITS#8882).

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 05 Aug 2022 10:51:52 -0400

openldap2 (2.0.11-2) un
