## openldap 2.5.18+dfsg

=== debian/changelog ===
openldap (2.5.18+dfsg-0ubuntu0.22.04.3) jammy; urgency=medium

  * Fixup TIMEOUT and NETWORK_TIMEOUT options so they work correctly
    when SSL is involved. Before they would never timeout, causing
    hangs on connection failure. Now they timeout as expected.
    (LP: #2090806)
    - d/p/lp2090806-ITS-8047-Fix-TLS-connection-timeout-handling.patch

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Mon, 09 Dec 2024 15:54:19 +1300

openldap (2.5.18+dfsg-0ubuntu0.22.04.2) jammy; urgency=medium

  * d/p/remove-extraneous-quote-configure-ac.patch: Remove extraneous
    quote from configure.ac, fixing loading of back_perl. (LP: #2072976)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 12 Jul 2024 17:51:23 -0400

openldap (2.5.18+dfsg-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream version (LP: #2067745).
    - Fixed libldap exit handling with OpenSSL3 again (ITS#9952)
    - Fixed libldap OpenSSL channel binding digest (ITS#10216)
    - Fixed slapd handling of large uid/gids peercred auth (ITS#10211)
    - Fixed slapd-meta with dynlist (ITS#10164)
    - Fixed slapd-meta binds when proxying internal op (ITS#10165)
    - Fixed slapo-accesslog startup initialization (ITS#10170)
    - Fixed slapo-dynlist with abandoned operations (ITS#10044)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 31 May 2024 11:01:55 -0400

openldap (2.5.17+dfsg-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream version (LP: #2040465).
    - Added slapo-dynlist option to disable filter support (ITS#10025)
    - Fixed liblber missing newline on long msg (ITS#10105)
    - Fixed libldap exit handling with OpenSSL3 (ITS#9952)
    - Fixed libldap with TLS and multiple ldap URIs (ITS#10101)
    - Fixed libldap OpenSSL cipher suite handling (ITS#10094)
    - Fixed libldap OpenSSL 3.0 and Diffie-Hellman param files (ITS#10124)
    - Fixed libldap timestamps on Windows (ITS#10100)
    - Fixed lloadd to work when resolv.conf is missing (ITS#10070)
    - Fixed lloadd handling of closing connection (ITS#10083)
    - Fixed slapd to honour disclose in matchedDN handling (ITS#10139)
    - Fixed slapd handling of regex testing in ACLs (ITS#10089)
    - Fixed slapd-asyncmeta when remote suffix is empty (ITS#10076)
    - Fixed slapo-dynlist so it can't be global (ITS#10091)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 09 Feb 2024 15:12:07 -0500
